<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="10dp"
    xmlns:android="http://schemas.android.com/apk/res/android">
 <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="110dp"

        >
        <FrameLayout
            android:layout_width="110dp"
            android:layout_height="0dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:id="@+id/vp_home_page_tag_1"
            tools:background="@color/black"
            />

        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="53dp"
            app:layout_constraintLeft_toRightOf="@id/vp_home_page_tag_1"
            app:layout_constraintRight_toLeftOf="@id/vp_home_page_tag_3"
            app:layout_constraintTop_toTopOf="parent"
            android:id="@+id/vp_home_page_tag_2"
            tools:background="@color/blue"
            android:layout_marginLeft="10dp"
            />

        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="53dp"
            app:layout_constraintLeft_toRightOf="@id/vp_home_page_tag_2"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/vp_home_page_tag_2"
            android:id="@+id/vp_home_page_tag_3"
            tools:background="@color/alpha_black_2f"
            android:layout_marginLeft="5dp"
            />

        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="53dp"
            app:layout_constraintLeft_toLeftOf="@id/vp_home_page_tag_2"
            app:layout_constraintRight_toLeftOf="@id/vp_home_page_tag_5"
            app:layout_constraintBottom_toBottomOf="parent"
            android:id="@+id/vp_home_page_tag_4"
            tools:background="@color/alpha_black_5f"
            />

        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="53dp"
            app:layout_constraintLeft_toRightOf="@id/vp_home_page_tag_4"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="@id/vp_home_page_tag_4"
            android:id="@+id/vp_home_page_tag_5"
            tools:background="@color/alpha_black_9f"
            android:layout_marginLeft="5dp"
            />


    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>

